---
- name: Install Docker & Compose
  ansible.builtin.apt:
    name: "{{ docker_packages }}"
    state: present

- name: Ensure Docker service is started
  ansible.builtin.service:
    name: docker
    state: started
    enabled: yes

- name: Add user to docker group
  ansible.builtin.user:
    name: "{{ ansible_user }}"
    groups: docker
    append: yes
